mia-2dimagestack-cmeans(1)

NAME
mia-2dimagestack-cmeans - Calculate the c-means classification for a series of images.

SYNOPSIS
mia-2dimagestack-cmeans -i <in-file> -o <out-probmap> [options]

DESCRIPTION
mia-2dimagestack-cmeans This program first evaluates a sparse histogram of an input image series, then runs a c-means classification over the histogram and then writes the probability mapping for thr original intensity values

OPTIONS

  File-IO

    -i --in-file=(input, required); io
        input image(s) to be filtered
         For supported file types see PLUGINS:2dimage/io

    -o --out-probmap=(output, required); string
        Save probability map to this file

  Help & Info

    -V --verbose=warning
        verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

        trace - Function call trace
        debug - Debug output
        info - Low level messages
        message - Normal messages
        warning - Warnings
        fail - Report test failures
        error - Report errors
        fatal - Report only fatal errors

    --copyright
        print copyright information

    -h --help
        print this help

    -? --usage
        print a short help

    --version
        print the version number and exit

  Parameters

    -T --histogram-thresh=5; float in [0, 50]
        Percent of the extrem parts of the histogram to be collapsed into the respective last histogram bin.

    -C --classes=kmeans:nc=3
        C-means class initializer
         For supported plugins see PLUGINS:1d/cmeans

  Processing

    --threads=-1
        Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

PLUGINS: 1d/cmeans

even
    C-Means initializer that sets the initial class centers as evenly distributed over [0,1], supported parameters are:

    nc =(required, ulong)
        Number of classes to use for the fuzzy-cmeans classification.

kmeans
    C-Means initializer that sets the initial class centers by using a k-means classification, supported parameters are:

    nc =(required, ulong)
        Number of classes to use for the fuzzy-cmeans classification.

predefined
    C-Means initializer that sets pre-defined values for the initial class centers, supported parameters are:

    cc =(required, vdouble)
        Initial class centers fuzzy-cmeans classification (normalized to range [0,1]).

PLUGINS: 2dimage/io

bmp BMP 2D-image input/output support. The plug-in supports reading and writing of binary images and 8-bit gray scale images. read-only support is provided for 4-bit gray scale images. The color table is ignored and the pixel values are taken as literal gray scale values.

    Recognized file extensions: .BMP, .bmp

    Supported element types:
        binary data, unsigned 8 bit

datapool
    Virtual IO to and from the internal data pool

    Recognized file extensions: .@

dicom
    2D image io for DICOM

    Recognized file extensions: .DCM, .dcm

    Supported element types:
        signed 16 bit, unsigned 16 bit

exr a 2dimage io plugin for OpenEXR images

    Recognized file extensions: .EXR, .exr

    Supported element types:
        unsigned 32 bit, floating point 32 bit

jpg a 2dimage io plugin for jpeg gray scale images

    Recognized file extensions: .JPEG, .JPG, .jpeg, .jpg

    Supported element types:
        unsigned 8 bit

png a 2dimage io plugin for png images

    Recognized file extensions: .PNG, .png

    Supported element types:
        binary data, unsigned 8 bit, unsigned 16 bit

raw RAW 2D-image output support

    Recognized file extensions: .RAW, .raw

    Supported element types:
        binary data, signed 8 bit, unsigned 8 bit, signed 16 bit, unsigned 16 bit, signed 32 bit, unsigned 32 bit, floating point 32 bit, floating point 64 bit

tif TIFF 2D-image input/output support

    Recognized file extensions: .TIF, .TIFF, .tif, .tiff

    Supported element types:
        binary data, unsigned 8 bit, unsigned 16 bit, unsigned 32 bit

vista
    a 2dimage io plugin for vista images

    Recognized file extensions: .-, .V, .VISTA, .v, .vista

    Supported element types:
        binary data, signed 8 bit, unsigned 8 bit, signed 16 bit, unsigned 16 bit, signed 32 bit, unsigned 32 bit, floating point 32 bit, floating point 64 bit

EXAMPLE
Run the program over images imageXXXX.png with the sparse histogram, threshold the lower 5% bins (if available), run cmeans with three classes on the non-zero pixels.

mia-2dimagestack-cmeans -i image0000.png -o cmeans,txt --histogram-tresh=5 --classes 3

AUTHOR(s)
Gert Wollny

COPYRIGHT
This software is Copyright (c) 1999-2015 Leipzig, Germany and Madrid, Spain. It comes with ABSOLUTELY NO WARRANTY and you may redistribute it under the terms of the GNU GENERAL PUBLIC LICENSE Version 3 (or later). For more information run the program with the option '--copyright'.